org.jboss.resteasy.spi

## Class Link

- java.lang.Object
- - org.jboss.resteasy.spi.Link

- Deprecated.

      @Deprecated
      public class Link
      extends Object

  Implementation of Link Headers v6
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ClientExecutor` | `executor` Deprecated.
    `protected MultivaluedMap<String,String>` | `extensions` Deprecated.
    `protected String` | `href` Deprecated.
    `protected String` | `relationship` Deprecated.
    `protected String` | `title` Deprecated.
    `protected String` | `type` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Link()` Deprecated.
    `Link(String title, String relationship, String href, String type, MultivaluedMap<String,String> extensions)` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientExecutor` | `getExecutor()` Deprecated.
    `MultivaluedMap<String,String>` | `getExtensions()` Deprecated.
    `String` | `getHref()` Deprecated.
    `String` | `getRelationship()` Deprecated.
    `String` | `getTitle()` Deprecated.
    `String` | `getType()` Deprecated.
    `ClientRequest` | `request()` Deprecated.
    `ClientRequest` | `request(ClientExecutor executor)` Deprecated.
    `void` | `setExecutor(ClientExecutor executor)` Deprecated.
    `void` | `setHref(String href)` Deprecated.
    `void` | `setRelationship(String relationship)` Deprecated.
    `void` | `setTitle(String title)` Deprecated.
    `void` | `setType(String type)` Deprecated.
    `Link` | `toJaxrsLink()` Deprecated.
    `String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### title

          protected String title

      Deprecated.

    - #### relationship

          protected String relationship

      Deprecated.

    - #### href

          protected String href

      Deprecated.

    - #### type

          protected String type

      Deprecated.

    - #### extensions

          protected MultivaluedMap<String,String> extensions

      Deprecated.

    - #### executor

          protected ClientExecutor executor

      Deprecated.

  - ### Constructor Detail

    - #### Link

          public Link()

      Deprecated.

    - #### Link

          public Link(String title,
              String relationship,
              String href,
              String type,
              MultivaluedMap<String,String> extensions)

      Deprecated.

  - ### Method Detail

    - #### toJaxrsLink

          public Link toJaxrsLink()

      Deprecated.

    - #### getRelationship

          public String getRelationship()

      Deprecated.

    - #### setRelationship

          public void setRelationship(String relationship)

      Deprecated.

    - #### getHref

          public String getHref()

      Deprecated.

    - #### setHref

          public void setHref(String href)

      Deprecated.

    - #### getType

          public String getType()

      Deprecated.

    - #### setType

          public void setType(String type)

      Deprecated.

    - #### getTitle

          public String getTitle()

      Deprecated.

    - #### setTitle

          public void setTitle(String title)

      Deprecated.

    - #### getExtensions

          public MultivaluedMap<String,String> getExtensions()

      Deprecated.

    - #### getExecutor

          public ClientExecutor getExecutor()

      Deprecated.

    - #### setExecutor

          public void setExecutor(ClientExecutor executor)

      Deprecated.

    - #### request

          public ClientRequest request()

      Deprecated.

    - #### request

          public ClientRequest request(ClientExecutor executor)

      Deprecated.

    - #### toString

          public String toString()

      Deprecated.
      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.